get_data.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/tuple/rem.hpp>`
`#include <msgpack/preprocessor/control/if.hpp>`
`#include <msgpack/preprocessor/control/iif.hpp>`
`#include <msgpack/preprocessor/facilities/is_1.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_ARRAY_DETAIL_GET_DATA_NONE(size, data)
#define | MSGPACK_PP_ARRAY_DETAIL_GET_DATA_ANY(size, data) MSGPACK_PP_TUPLE_REM(size) data
#define | MSGPACK_PP_ARRAY_DETAIL_GET_DATA(size, data)

## Macro Definition Documentation

## MSGPACK_PP_ARRAY_DETAIL_GET_DATA

#define MSGPACK_PP_ARRAY_DETAIL_GET_DATA | ( |  | size,
|  |  | data
| ) |  |

Value:
MSGPACK_PP_IF \
( \
size, \
MSGPACK_PP_ARRAY_DETAIL_GET_DATA_ANY, \
MSGPACK_PP_ARRAY_DETAIL_GET_DATA_NONE \
) \
(size,data) \
MSGPACK_PP_IF
#define MSGPACK_PP_IF(cond, t, f)
Definition: if.hpp:26
msgpack::type::size
std::size_t size(T const &t)
Definition: size_equal_only.hpp:24

## MSGPACK_PP_ARRAY_DETAIL_GET_DATA_ANY

#define MSGPACK_PP_ARRAY_DETAIL_GET_DATA_ANY | ( |  | size,
|  |  | data
| ) |  | MSGPACK_PP_TUPLE_REM(size) data

## MSGPACK_PP_ARRAY_DETAIL_GET_DATA_NONE

#define MSGPACK_PP_ARRAY_DETAIL_GET_DATA_NONE | ( |  | size,
|  |  | data
| ) |  |